Subject: Re: bug#17012: [3 PATCHES] Whitespace cleanup : Replace code-alignment tabs with spaces.

From: Bruce Dubbs <[email-masked]>
Date: Fri, 14 Mar 2014 23:32:21 -0500

Jim Meyering wrote:

>> Tabs in code are indeed evil.  Different users have different tab stops.
>> I would convert *all* tabs to spaces and add to each file:
>>
>> /* -*- tab-width:8; intent-tabs-mode:nil;  -*- */
>> /* ex: set tabstop=8 expandtab: */
>
> For the record, I think that such comments should be made unnecessary.
> I.e., maintain coding standards with enough automated infrastructure
> that that type of crutch is not required.  See the guidelines in coreutils'
> HACKING file.  Speaking of which, grep's HACKING needs a refresher.

Interesting.  Looking at the coreutils-8.22 tarball, there is no HACKING 
file.  It's not in the coreutils-8.17 tarball either.  It is in the git 
tree though.

   -- Bruce